system-config-printer.py crashed with NameError in __lt__(): name 'lt' is not defined

Bug #1364196 reported by cariboo
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
system-config-printer (Ubuntu)
Fix Released
Medium
Unassigned

Bug Description

While attempting to check the printer queue after sending a print job to the printer the printer applet crashed.

ProblemType: Crash
DistroRelease: Ubuntu 14.10
Package: system-config-printer-gnome 1.5.0+20140805-0ubuntu4
ProcVersionSignature: Ubuntu 3.16.0-11.16-generic 3.16.1
Uname: Linux 3.16.0-11-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.14.7-0ubuntu1
Architecture: amd64
CupsErrorLog:
 E [01/Sep/2014:19:02:55 -0700] [Job 3] The printer is not responding.
 E [01/Sep/2014:19:03:28 -0700] [Job 3] The printer is not responding.
 E [01/Sep/2014:19:04:01 -0700] [Job 3] The printer is not responding.
 E [01/Sep/2014:19:04:34 -0700] [Job 3] The printer is not responding.
CurrentDesktop: Unity
Date: Mon Sep 1 19:04:01 2014
ExecutablePath: /usr/share/system-config-printer/system-config-printer.py
InstallationDate: Installed on 2014-08-05 (27 days ago)
InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Alpha amd64 (20140520)
InterpreterPath: /usr/bin/python3.4
Lpstat: device for Brother-HL-5250DN: socket://192.168.0.100:9100
MachineType: To be filled by O.E.M. To be filled by O.E.M.
PackageArchitecture: all
Papersize: letter
PpdFiles: Brother-HL-5250DN: Brother HL-5250DN BR-Script3
ProcCmdline: /usr/bin/python3 /usr/share/system-config-printer/system-config-printer.py
ProcEnviron:
 LANGUAGE=en_CA:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-11-generic root=UUID=2a23588b-e7cb-4295-b314-23978b964b34 ro quiet splash init=/lib/systemd/systemd
PythonArgs: ['/usr/share/system-config-printer/system-config-printer.py']
SourcePackage: system-config-printer
Title: system-config-printer.py crashed with NameError in __lt__(): name 'lt' is not defined
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 12/10/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2201
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: M5A97 R2.0
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2201:bd12/10/2013:svnTobefilledbyO.E.M.:pnTobefilledbyO.E.M.:pvrTobefilledbyO.E.M.:rvnASUSTeKCOMPUTERINC.:rnM5A97R2.0:rvrRev1.xx:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To be filled by O.E.M.
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: To be filled by O.E.M.

Revision history for this message
cariboo (cariboo) wrote :
information type: Private → Public
tags: removed: need-duplicate-check
Changed in system-config-printer (Ubuntu):
importance: Undecided → Medium
Revision history for this message
cariboo (cariboo) wrote :

THe printer in question is a Brother HL-5250DN, networked laser printer.

Revision history for this message
Jiri Popelka (jpopelka) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-config-printer - 1.5.1+20140906-0ubuntu1

---------------
system-config-printer (1.5.1+20140906-0ubuntu1) utopic; urgency=medium

  * New upstream bug fix release
     o GIT 1.5.x snapshot from 6 September 2014
     o StateReason: Fixed __cmp__ conversion to rich comparisons (LP: #1364196)
     o This release has some Python3 fixes, as well as some fixes to
       udev-configure-printer and a fix for a D-Bus service hang.
     o In the 1.5.1 upstream release scp-dbus-service crashes immediately after
       starting. This is fixed in this snapshot.
  * debian/patches/33_ipp-over-usb-support.patch: Bug fix update of the patch
    from Daniel Dressler.
  * debian/patchs/30_scp-dbus-service-driver-download-hang-fixes.patch:
    Updated to apply to current source code.
 -- Till Kamppeter <email address hidden> Sat, 06 Sep 2014 14:27:59 +0200

Changed in system-config-printer (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers